[android-components](../../index.md) / [mozilla.components.service.fretboard](../index.md) / [ExperimentStorage](index.md) / [save](./save.md)

# save

`abstract fun save(snapshot: `[`ExperimentsSnapshot`](../-experiments-snapshot/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/fretboard/src/main/java/mozilla/components/service/fretboard/ExperimentStorage.kt#L17)

Stores the given experiments to disk

### Parameters

`experiments` - list of experiments to store